Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class PortHelper

    java.lang.Object
      |
      +--com.ericsson.otp.ic.PortHelper

public class PortHelper
extends java.lang.Object

Helper class for Port.

Method Summary
`static Port` | `extract(Any _any)` Standard method for extracting a Port from an Any.
`static java.lang.String` | `id()` Standard method that returns the interface repository identity.
`static void` | `insert(Any _any, Port _this)` Standard method for inserting a Port to an Any.
`static void` | `marshal(com.ericsson.otp.erlang.OtpOutputStream _out, Port _value)` Marshal method for the Port class, encodes the Port object to the output stream.
`static java.lang.String` | `name()` Standard method that returns the Port class name.
`static TypeCode` | `type()` Standard TypeCode accessor method.
`static Port` | `unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)` Unmarshal method for the Port class, decodes a Port object from the stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### marshal

    public static void marshal(com.ericsson.otp.erlang.OtpOutputStream _out,
                               Port _value)
                        throws java.lang.Exception

  Marshal method for the Port class, encodes the Port object to the output stream.

### unmarshal

    public static Port unmarshal(com.ericsson.otp.erlang.OtpInputStream _in)
                          throws java.lang.Exception

  Unmarshal method for the Port class, decodes a Port object from the stream.
  Returns:
    Port, read from the input stream

### id

    public static java.lang.String id()

  Standard method that returns the interface repository identity.
  Returns:
    String containing the interface repository identity of Port

### name

    public static java.lang.String name()

  Standard method that returns the Port class name.
  Returns:
    String containing the class name of Port

### type

    public static TypeCode type()

  Standard TypeCode accessor method.
  Returns:
    the TypeCode for Port

### insert

    public static void insert(Any _any,
                              Port _this)
                       throws java.lang.Exception

  Standard method for inserting a Port to an Any.

### extract

    public static Port extract(Any _any)
                        throws java.lang.Exception

  Standard method for extracting a Port from an Any.
  Returns:
    Port, the value found in an Any contained stream.

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD